<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once( "../include/class.SQLString.php" );
include_once("auth.php");

## mysql verbindung aufbauen
db_connect($db_host, $db_user, $db_pass);
## /mysql verbindung aufbauen

# checken ob zielanbieter existiert
$id = safe_query( "select anbieter from anbieter where anbieter = ? ", TRUE, new SQLString( $zielanbieter ) );
if (db_num_rows($id) < 1)
	{
	 $fehlertext = ltext("anku2_error1");
	 db_close();
	 include("anbieter_kundenzuordnung.php");
	 exit();
	}
# /checken ob zielanbieter existiert und ob dieser kunden hat

# checken ziel- oder quellanbieter gesperrt sind
$id1 = safe_query( "select anbieter from anbieter where anbieter = ?  and gesperrt='1'", TRUE, new SQLString( $zielanbieter ) );
$id2 = safe_query( "select anbieter from anbieter where anbieter = ?  and gesperrt='1'", TRUE, new SQLString( $quellanbieter ) );
if ((db_num_rows($id1) > 0) || (db_num_rows($id2) > 0))
	{
	 $fehlertext = ltext("anku2_error2");
	 db_close();
	 include("anbieter_kundenzuordnung.php");
	 exit();
	}
#/

if (istleer($kunde)) {

# checken ob quellanbieter existiert
$id = safe_query( "select anbieter from anbieter where anbieter = ? ", TRUE, new SQLString( $quellanbieter ) );
if (db_num_rows($id) < 1)
	{
	 $fehlertext = ltext("anku2_error3",array($anbieter));
	 db_close();
	 include("anbieter_kundenzuordnung.php");
	 exit();
	}

$id = safe_query( "select kunde from kunden where anbieter = ? ", TRUE, new SQLString( $quellanbieter ) );
if (db_num_rows($id) < 1) 
	{
	 $fehlertext = ltext("anku2_error4",array($quellanbieter));
	 db_close();
	 include("anbieter_kundenzuordnung.php");
	 exit();
	}

if ($quellanbieter == $zielanbieter)
	{
	 $fehlertext = ltext("anku2_error5");
	 db_close();
	 include("anbieter_kundenzuordnung.php");
	 exit();
	}

# /checken ob quellanbieter existiert und ob dieser kunden hat

# anzahl ipadressen checken
$id = safe_query( "select count(ip) as ipanzahl from ipadressen where anbieter = ?  and kunde != ''", TRUE, new SQLString( $quellanbieter ) );
$werte = db_fetch_array($id);
$anzahlips = $werte["ipanzahl"];
# /anzahl ipadressen checken

$satz = ltext("anku2_confirmation1",array($quellanbieter,$zielanbieter));

if 	($anzahlips == 1)
	{
	 $satz .= ltext("anku2_confirmation2",array($quellanbieter,$zielanbieter));
	}
elseif ($anzahlips > 1)
	{
	 $satz .= ltext("anku2_confirmation2",array($anzahlips,$quellanbieter,$zielanbieter));
	}

## kundenliste erstellen
$id = safe_query( "select kunde from kunden where anbieter = ? ", TRUE, new SQLString( $quellanbieter ) );
while ($werte = db_fetch_array($id)) {
$kundenliste[] = $werte["kunde"];
}
## /kundenliste erstellen

} else {
	$kunde = trim($kunde);
if ( $kunde == $user_prefix.'0' ) {
	 $fehlertext = ltext("anku2_forbidden",array($kunde));
	 db_close();
	 include("anbieter_kundenzuordnung.php");
	 exit();
}	

# checken ob kunde existiert
$id = safe_query( "select kunde from kunden where kunde = ? ", TRUE, new SQLString( $kunde ) );
if (db_num_rows($id) < 1)
	{
	 $fehlertext = ltext("anku2_error6");
	 db_close();
	 include("anbieter_kundenzuordnung.php");
	 exit();
	}
# /checken ob kunde existiert

# anzahl ipadressen checken
$id = safe_query( "select count(ip) as ipanzahl from ipadressen where kunde = ? ", TRUE, new SQLString( $kunde ) );
$werte = db_fetch_array($id);
$anzahlips = $werte["ipanzahl"];
# /anzahl ipadressen checken

# quellanbieter für satz ermitteln
$id = safe_query( "select anbieter from kunden where kunde = ? ", TRUE, new SQLString( $kunde ) );
$werte = db_fetch_array($id);
$quellanbieter = $werte["anbieter"];
# /quellanbieter für satz ermitteln

if ($quellanbieter == $zielanbieter)
	{
	 $fehlertext = ltext("anku2_error7",array($kunde,$quellanbieter));
	 db_close();
	 include("anbieter_kundenzuordnung.php");
	 exit();
	}

$satz = ltext("anku2_confirmation4",array($kunde,$quellanbieter,$zielanbieter));

if 	($anzahlips == 1)
	{
	 $satz .= ltext("anku2_confirmation5",array($quellanbieter,$zielanbieter));
	}
}

?>
<HTML>
<HEAD>
<META content="text/html; charset=<? echo $lang_html_charset; ?>" http-equiv=Content-Type>
<LINK href="<?=$strSkinName?>/style.css" rel=stylesheet type=text/css>
</HEAD>

<BODY bgColor=#ffffff bottomMargin=0 leftMargin=0 topMargin=0 MARGINHEIGHT="0" MARGINWIDTH="0">
<? include("../fehler.inc.php"); ?>
<BR>
<table class="tblbgcolor" align="left" border="1" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF" >

        <tr>
                <td>
                        <table border="0" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF" cellpadding=0 cellspacing=0>
                                <tr>
                                        <td class="td-help"><? echo $satz; ?></td>
                                </tr>
                        </table>
                </td>
        </tr>




  <TR> 
    <td valign="top"><b>
        <? 
if (count($kundenliste) > 0)
	{
	 for ($i = 0; $i < count($kundenliste); $i++) 
		{ echo "$kundenliste[$i]<br>"; }
	}
?>
        </b></p>
      <form method="post" action="anbieter_kundenzuordnung3.php">
        <input type="hidden" name="quellanbieter" value="<? echo $quellanbieter; ?>">
        <input type="hidden" name="zielanbieter" value="<? echo $zielanbieter; ?>">
        <input type="hidden" name="kunde" value="<? echo $kunde; ?>">
        <input type="radio" name="transferieren" value="ja">
        <? echo ltext("anku2_descr1"); ?>
        <br>
        <input type="radio" name="transferieren" value="nein" checked>
        <? echo ltext("anku2_descr2"); ?>
        <br>
<script>
function doChange()
{
document.forms[0].submit();
}
</script>
<br>
<? echo std_button(ltext("anku2_button1"), "javascript:doChange()"); ?>
      </form>
    </td>
  </TR>
  </TBODY> 
</TABLE>
</BODY>
</HTML>

<?
db_close();
?>
